Classes | Functions
clanSound Resources

## Classes
class | clan::SoundCache

## Functions
virtual | clan::SoundCache::~SoundCache ()
static SoundCache & | clan::SoundCache::get (const ResourceManager &resources)
virtual Resource< SoundBuffer > | clan::SoundCache::get_sound (const std::string &id)=0
static void | clan::SoundCache::set (ResourceManager &resources, const std::shared_ptr< SoundCache > &cache)

## Detailed Description

## Function Documentation

virtual clan::SoundCache::~SoundCache | ( |  | ) |
| inline virtual

static SoundCache& clan::SoundCache::get | ( | const ResourceManager & | resources | ) |
| static

virtual Resource<SoundBuffer> clan::SoundCache::get_sound | ( | const std::string & | id | ) |
| pure virtual

static void clan::SoundCache::set | ( | ResourceManager & | resources,
|  | const std::shared_ptr< SoundCache > & | cache
| ) |  |
| static